Subject: How to search

From: Niharendu.Choudhury_at_mail.uh.edu
Date: Wed, 04 Jun 2003 16:45:55 -0500 (CDT)

Hi CCL developer/users
How to search old (already posted) messages in the CCL net website for any specific topics?
Niharendu Choudhury
Dept. Chemistry
Univ. Houston

---

From: Jan Labanowski <jkl<<at>>ccl.net>
Date: Thu, 5 Jun 2003 10:58:15 -0400 (EDT)

Dear Niharendu,

You have a valid point. The CCL search engines (the Text and Regular
Expression ones) are coming and going out of operation lately.
There are reasons for it...
1) I (the maintainer of CCL) am going to Europe for 5 weeks starting
   Jun 15. I will have occasional contact with the CCL.NET computers
   over the modem and local European Internet Providers, but will not be
   able to do any extensive file transfers or editing. I will not be also
   able to "push the button".

2) With the current level of crackers activity and spammers looking for
   exploits, I am quite worried to leave these options on. Bad guys can bring
   the machines down by submitting searches every second or so, and I need to
   write a lot of tricky code to prevent it. Moreover, I need to really
   audit the security of these scripts. For example, the longer regexp
   searches give you the option to return result via e-mail, so you do not
   have to wait for the browser to show you something... Now... THERE IS
   NO WAY to make sure that e-mail address entered is the legitimate one.
   You can enter george<<at>>whitehouse.gov and it will take it, and diligently
   send the results there... Yes... I know... There are ways... There is
   subscriber list to check against... But it is work... work... work... 

3) Many exploits are possible with search engines, and I do not necessarily
   want to advertise them on the list. 

We will see what I can do before I leave, but the likely scenario is that
I will disable these services for a while, until I am with "physical contact"
(oh well... could not help it... this is a kind of contact left at my age...)
with computers, so I can fix stuff within hours...

In any case... It is the warning that if something goes really bad when I am
out, the CCL will need to wait till end of July before it is alive again.

Jan Labanowski...
CCL Maintainer...
The guy who pushes this cart...

Jan K. Labanowski         |  phone: 614-292-9279,  FAX: 614-292-7168
Ohio Supercomputer Center |  E-mail: jkl<<at>>ccl.net 
1224 Kinnear Rd,          |  http://www.ccl.net/~jkl
Columbus, OH 43212-1163   |  http://www.ccl.net/    http://asdn.net/

On Wed, 4 Jun 2003 Niharendu.Choudhury<<at>>mail.uh.edu wrote:

> Date: Wed, 04 Jun 2003 16:45:55 -0500 (CDT)
> From: Niharendu.Choudhury<<at>>mail.uh.edu
> To: chemistry<<at>>ccl.net
> Subject: CCL:How to search
> 
> Hi CCL developer/users
> -= This is automatically added to each message by mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
> and send your message to:  CHEMISTRY<<at>>ccl.net
> 
> Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST<<at>>ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
> 
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jkl<<at>>ccl.net (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 
> 
> 
>